#!/bin/bash

echo ">>>>>> install getgrav in src/ <<<<<<<<"
composer create-project getgrav/grav ./

echo ">>>>>> install getgrav Finish <<<<<<<<"

echo ">>>>>> Install plugin <<<<<<<<"

  echo ">>>>>> Install admin <<<<<<<<"
  bin/gpm install admin

  echo ">>>>>> Install user-manager <<<<<<<<"
  bin/gpm install admin-addon-user-manager

  echo ">>>>>> Install taxonomylist <<<<<<<<"
  bin/gpm install taxonomylist

  echo ">>>>>> Install minify-html <<<<<<<<"
  bin/gpm install minify-html

  echo ">>>>>> Install sitemap <<<<<<<<"
  bin/gpm install sitemap

  echo ">>>>>> Install aura <<<<<<<<"
  bin/gpm install aura

echo ">>>>>> Install plugin Finish <<<<<<<<"

echo ">>>>>> chown -R 1000:www-data  <<<<<<<<"

chown -R 1000:www-data /var/www/html/
find /var/www/html/ -type f | xargs chmod 664
find /var/www/html/bin -type f | xargs chmod 775
find /var/www/html/ -type d | xargs chmod 775
find /var/www/html/ -type d | xargs chmod +s

echo ">>>>>> Install complete Finish <<<<<<<<"
